FAILLOG(8)

NAZWA
faillog - display faillog records or set login failure limits

SKŁADNIA

faillog [opcje]

OPIS

faillog formats the contents of the failure log from /var/log/faillog database. It also can be used for maintains failure counters and limits. Run faillog without arguments display only list of user faillog records who have ever had a login failure.

OPCJE

Polecenie faillog posiada następujące opcje:

-a, --all
    Display faillog records for all users.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-l, --lock-timeSEK
    Lock account to SEC seconds after failed login.

-m, --maximum MAX
    Set maximum number of login failures after the account is disabled to MAX. Selecting MAX value of 0 has the effect of not placing a limit on the number of failed logins. The maximum failure count should always be 0 for root to prevent a denial of services attack against the system.

-r, --reset
    Reset the counters of login failures or one record if used with the -u LOGIN option. Write access to /var/log/faillog is required for this option.

-t, --timeDNI
    Display faillog records more recent than DAYS. The -t flag overrides the use of -u.

-u, --userLOGIN
    Display faillog record or maintains failure counters and limits (if used with -l, -m or -r options) only for user with LOGIN.

OSTRZEŻENIA

faillog only prints out users with no successful login since the last failure. To print out a user who has had a successful login since their last failure, you must explicitly request the user with the -u flag, or print out all users with the -a flag.

PLIKI

/var/log/faillog
    Failure logging file.

ZOBACZ TAKŻE

login(1), faillog(5).